Page MenuHomePhabricator

Verify that UWSGI configuration is suitable
Closed, ResolvedPublic

Description

When the webservice starts, it shows a message that

your server socket listen backlog is limited to 100 connections

Further,

Python threads support is disabled.

Does it need to be enabled for Flask to run multi-threaded?

There might also be other limitations, e.g. the number of concurrent database connections allowed for a single tool.

These limits should be reviewed to check whether we need to either ask for more resources, or adapt Mitmachen accordingly.

Event Timeline

Cirdan created this task.Jul 14 2018, 5:46 AM
Cirdan moved this task from Backlog to Code Review on the Mitmachen board.
Cirdan updated the task description. (Show Details)Jul 14 2018, 6:52 AM

My answer would be, it should be addressed by need... how many requests is it getting per second? how many users are using it currently? if you are not close in any way to achieve the minimum limitations, I'd argue to create a ticket for the future to fix (if needed) and move on.

RazShuty moved this task from Code Review to Done on the Mitmachen board.
Cirdan added a comment.Aug 8 2018, 3:22 PM

I'm afraid that's not a good approach. Currently, the tool has virtually no users, but it is planned to add it to the banner campaign, sending all visitors who are looking for an article to edit to the new tool. I'm not sure about the actual numbers, they should be available at WMDE.

Hence, we should at least be sure that running the tool in the standard Toolforge configuration will not lead to obvious problems when all these visitors come and access the tool.

Again, It's up to you and the numbers you provide (WMDE has)... and thus should be tested accordingly... I think over engineering / making assumptions and increasing abilities is not always the right thing.

Once we will see the numbers of assumed visitors to the site you can load test and see if the site can handle that traffic + 20 - 50 % and make an informed data driven decision.

Cirdan moved this task from Done to Code Review on the Mitmachen board.Aug 8 2018, 3:29 PM
Cirdan added a subscriber: Stefan_Schneider_WMDE.

Once we will see the numbers of assumed visitors to the site you can load test and see if the site can handle that traffic + 20 - 50 % and make an informed data driven decision.

I agree that there is no need to overengineer here. So perhaps @Stefan_Schneider_WMDE or someone else from the team can give us an estimate of how many visitors reach the end of the tutorials/will get a chance to click the link to the tool?

Also, it would be good to know if "Python threads support is disabled." means that all calls will run in the same thread. If that's the case, this definitely needs to be changed.

So perhaps @Stefan_Schneider_WMDE or someone else from the team can give us an estimate of how many visitors reach the end of the tutorials/will get a chance to click the link to the tool?

We're on it :)

Hi guys, we have only the data from our spring campaign in which we promoted the training modules. We had around 400 clicks to the training modules in the whole 9 days the campaign run. So my answer is really only based on that scenario of the campaign using the same user journey.
But in the new „Wikipedia-Tag“-Campaign we want to run in autumn we could have more clicks at the same time.

@sonkiki Maybe you can find out a more precise number for the upcoming campaign, so we can be sure if we need that test.

Cirdan closed this task as Resolved.Aug 10 2018, 11:03 AM

Unless these numbers are several orders of magnitude higher, we won't have any issues. So I think we can consider this review completed.

Cirdan moved this task from Code Review to Done on the Mitmachen board.Aug 10 2018, 11:04 AM